image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/topics/caching/
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python --version  # For debugging
  - pip install virtualenv 
  - virtualenv venv
  - source venv/bin/activate
  - pip install scikit-learn dvc pandas

test:
  tags:
    - python
  script:
    - cd data && wget http://archive.ics.uci.edu/ml/machine-learning-databases/iris/iris.data
    - cd .. && dvc repro
  artifacts:
    paths:
    - prediction.txt
    - metrics/accuracy.json

